Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.struts.plugins
Class PluginConstants

    java.lang.Object
      com.ibm.portal.struts.plugins.PluginConstants

    public final class PluginConstants

extends java.lang.Object

The `PluginConstants` class contains constants used in providing keys for Plugins stored in the ServletContext.

Since:
  5.1

Field Summary
`static java.lang.String` | `COMMAND_MANAGER_FACTORY_KEY` The key used for storing the CommandManagerFactory object in the context.
`static java.lang.String` | `ERROR_RESPONSE_FORMATTER_KEY` The key used for storing the ErrorResponseFormatter object in the context.
`static java.lang.String` | `PREFIX` The prefix used on all other constants defined here
`static java.lang.String` | `VIEW_COMMAND_FACTORY_KEY` The key used for storing the ViewCommandFactory object in the context.

Constructor Summary
`PluginConstants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PREFIX

    public static final java.lang.String PREFIX

  The prefix used on all other constants defined here

  See Also:
    Constant Field Values

### VIEW_COMMAND_FACTORY_KEY

    public static final java.lang.String VIEW_COMMAND_FACTORY_KEY

  The key used for storing the ViewCommandFactory object in the context. The object should be a subclass of ViewCommandFactory

  See Also:
    Constant Field Values

### ERROR_RESPONSE_FORMATTER_KEY

    public static final java.lang.String ERROR_RESPONSE_FORMATTER_KEY

  The key used for storing the ErrorResponseFormatter object in the context. The object stored should be a subclass of ErrorResponseFormatter

  See Also:
    Constant Field Values

### COMMAND_MANAGER_FACTORY_KEY

    public static final java.lang.String COMMAND_MANAGER_FACTORY_KEY

  The key used for storing the CommandManagerFactory object in the context. The object should be a subclass of CommandManagerFactory

  See Also:
    Constant Field Values

Constructor Detail

### PluginConstants

    public PluginConstants()

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD